Mailinglist Archive: opensuse-bugs (4069 mails)

< Previous Next >
[Bug 709543] New: collectd df plugin: "uc_update: Value too old" due to duplicate entries in mtab
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 1 Aug 2011 11:48:39 +0000
  • Message-id: <bug-709543-21960@http.bugzilla.novell.com/>

https://bugzilla.novell.com/show_bug.cgi?id=709543

https://bugzilla.novell.com/show_bug.cgi?id=709543#c0


Summary: collectd df plugin: "uc_update: Value too old" due to
duplicate entries in mtab
Classification: openSUSE
Product: openSUSE.org
Version: unspecified
Platform: Other
OS/Version: openSUSE 11.4
Status: NEW
Severity: Normal
Priority: P5 - None
Component: 3rd party software
AssignedTo: nix@xxxxxxxxxxxx
ReportedBy: stefan.bruens@xxxxxxxxxxxxxx
QAContact: opensuse-communityscreening@xxxxxxxxxxxxxxxxxxxxxx
Found By: ---
Blocker: ---


the collectd df plugin uses getmntent on /etc/mtab to get a list a devices. As
devices may be mounted in different places (bind mount) or some path may have
several devices backing it, there may be several updates for the same key (key
is either the device name or the mount point, depending on the "ReportByDevice"
config value).

The "several devices for one mount point" case may sound irrelevant, but is
quite common, as "/" normally has two entries backing it, the second one being
"rootfs".

If the df plugin is run with default settings, this results in the "uc_update:
Value too old" error message.

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >
This Thread
  • No further messages